var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h } from '@stencil/core';
import { MapToComponentField } from 'vega-slimmer/core';
import { VegaSkeletonRendererBase } from './vega-skeleton-renderer-base.abstract';
import { parseToPixelString } from '../../../../utils/pixel';
/**
 * Image Skeleton renderer
 */
export class VegaSkeletonImageRenderer extends VegaSkeletonRendererBase {
  assignHostStyle() {
    const { width = '180px', height = '120px' } = this;
    const widthWithUnit = parseToPixelString(width);
    const heightWithUnit = parseToPixelString(height);
    return {
      width: widthWithUnit,
      height: heightWithUnit,
    };
  }
  renderChildren() {
    return h("vega-box", { class: "vega-skeleton-image", corners: this.corners });
  }
}
__decorate([
  MapToComponentField()
], VegaSkeletonImageRenderer.prototype, "height", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonImageRenderer.prototype, "width", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonImageRenderer.prototype, "corners", void 0);
